VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Namespaces | Enumerations
ivstevents.h File Reference
`#include "pluginterfaces/vst/ivstprocesscontext.h"`
`#include "pluginterfaces/vst/ivstnoteexpression.h"`
`#include "pluginterfaces/base/falignpush.h"`
`#include "pluginterfaces/base/falignpop.h"`

## Classes
struct | NoteOnEvent
| Note-on event specific data. More...
struct | NoteOffEvent
| Note-off event specific data. More...
struct | DataEvent
| Data event specific data. More...
struct | PolyPressureEvent
| PolyPressure event specific data. More...
struct | ChordEvent
| Chord event specific data. More...
struct | ScaleEvent
| Scale event specific data. More...
struct | LegacyMIDICCOutEvent
| Legacy MIDI CC Out event specific data. More...
struct | Event
| EventStructure representing a single Event of different types associated to a specific event (kEvent) bus. More...
class | IEventList
| List of events to process: Vst::IEventList. More...

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst
| All VST specific interfaces are located in Vst namespace.

## Enumerations
enum | NoteIDUserRange { kNoteIDUserRangeLowerBound = -10000 , kNoteIDUserRangeUpperBound = -1000 }
| Reserved note identifier (noteId) range for a plug-in. More...

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.